[ubuntu/maverick] gnome-vfs 1:2.24.3-1ubuntu1 (Accepted)

Martin Pitt martin.pitt at ubuntu.com
Sat May 8 06:55:10 BST 2010


gnome-vfs (1:2.24.3-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable. Drop most Ubuntu changes since they are
    irrelevant now (since GNOME uses gvfs now). Remaining changes:
    * debian/control: Build-Depends and Recommends gamin before fam
    * debian/libgnomevfs2-common.install, debian/libgnomevfs2-dev.install,
      debian/libgnomevfs2-common.links debian/libgnomevfs2-dev.links: Install
      the API documentation in the dev package instead of -common.
    * debian/patches/21_proxy_ignore_local.patch: Ignore .local for proxy.
    * debian/patches/23_ignore_ltspfs_volumes.patch: Ignore ltspfs mounts
      since the current ltspfs implementation creates associated bind mounts
      to /media. This prevents generating two volumes for the same mount.
  * debian/control.in: Drop libhal build dependencies. This will make
    gnome-vfs fall back to good old /etc/mtab, which is good enough for old
    applications which still actually use the deprecated gnome-vfs.

gnome-vfs (1:2.24.3-1) unstable; urgency=low

  * New upstream release.
  * 90_relibtoolize.patch: updated for the new version.

gnome-vfs (1:2.24.2-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/watch: Don't uupdate.

  [ Michael Biebl ]
  * debian/control.in
    - Add ${misc:Depends} to all binary packages.
    - Drop -1 revision from libgconf2-dev Build-Depends.
    - Bump Standards-Version to 3.8.4. No further changes.
    - Drop gnome-mount Recommends from libgnomevfs2-0. GNOME uses gvfs for
      mount handling so installing gnome-mount by default is no longer
      justified. Closes: #568420
    - Add Vcs-* fields.
  * Refresh all patches so they apply cleanly. This fixes FTBFS with the new
    source format 3.0 (quilt). Closes: #538622

Date: Tue, 04 May 2010 16:05:37 +0200
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/maverick/+source/gnome-vfs/1:2.24.3-1ubuntu1
-------------- next part --------------
Format: 1.8
Date: Tue, 04 May 2010 16:05:37 +0200
Source: gnome-vfs
Binary: libgnomevfs2-common libgnomevfs2-0 libgnomevfs2-bin libgnomevfs2-extra libgnomevfs2-0-dbg libgnomevfs2-dev
Architecture: source
Version: 1:2.24.3-1ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Description: 
 libgnomevfs2-0 - GNOME Virtual File System (runtime libraries)
 libgnomevfs2-0-dbg - GNOME Virtual File System (debugging libraries)
 libgnomevfs2-bin - GNOME Virtual File System (support binaries)
 libgnomevfs2-common - GNOME Virtual File System (common files)
 libgnomevfs2-dev - GNOME Virtual File System library (development files)
 libgnomevfs2-extra - GNOME Virtual File System (extra modules)
Closes: 538622 568420
Changes: 
 gnome-vfs (1:2.24.3-1ubuntu1) maverick; urgency=low
 .
   * Merge from Debian unstable. Drop most Ubuntu changes since they are
     irrelevant now (since GNOME uses gvfs now). Remaining changes:
     * debian/control: Build-Depends and Recommends gamin before fam
     * debian/libgnomevfs2-common.install, debian/libgnomevfs2-dev.install,
       debian/libgnomevfs2-common.links debian/libgnomevfs2-dev.links: Install
       the API documentation in the dev package instead of -common.
     * debian/patches/21_proxy_ignore_local.patch: Ignore .local for proxy.
     * debian/patches/23_ignore_ltspfs_volumes.patch: Ignore ltspfs mounts
       since the current ltspfs implementation creates associated bind mounts
       to /media. This prevents generating two volumes for the same mount.
   * debian/control.in: Drop libhal build dependencies. This will make
     gnome-vfs fall back to good old /etc/mtab, which is good enough for old
     applications which still actually use the deprecated gnome-vfs.
 .
 gnome-vfs (1:2.24.3-1) unstable; urgency=low
 .
   * New upstream release.
   * 90_relibtoolize.patch: updated for the new version.
 .
 gnome-vfs (1:2.24.2-2) unstable; urgency=low
 .
   [ Emilio Pozuelo Monfort ]
   * debian/watch: Don't uupdate.
 .
   [ Michael Biebl ]
   * debian/control.in
     - Add ${misc:Depends} to all binary packages.
     - Drop -1 revision from libgconf2-dev Build-Depends.
     - Bump Standards-Version to 3.8.4. No further changes.
     - Drop gnome-mount Recommends from libgnomevfs2-0. GNOME uses gvfs for
       mount handling so installing gnome-mount by default is no longer
       justified. Closes: #568420
     - Add Vcs-* fields.
   * Refresh all patches so they apply cleanly. This fixes FTBFS with the new
     source format 3.0 (quilt). Closes: #538622
Checksums-Sha1: 
 b4476d3c1404125f3c46e14c31ced02c2b620733 2046 gnome-vfs_2.24.3-1ubuntu1.dsc
 d86cb052a952a9fb9e1dfb90506dbbc23e819c0f 2838144 gnome-vfs_2.24.3.orig.tar.gz
 aa3a17fad18f5dd8a5200f2841445d8db574c8ea 375371 gnome-vfs_2.24.3-1ubuntu1.diff.gz
Checksums-Sha256: 
 e0876c00ff5c644ca0b955ecf09a57992536742ebce6b730f1319512e1f70d72 2046 gnome-vfs_2.24.3-1ubuntu1.dsc
 239458799a0c5603e5044df51eac8c955897cb4dab33ab2a99a182205d44778b 2838144 gnome-vfs_2.24.3.orig.tar.gz
 d75bdd80a2427de566273d7a81b478096d044eed468927b6a8153e162cd71497 375371 gnome-vfs_2.24.3-1ubuntu1.diff.gz
Files: 
 df74d6538b1af9331ae4feda47945909 2046 libs optional gnome-vfs_2.24.3-1ubuntu1.dsc
 ed3fdaab8da32750adf87dd22c6a8264 2838144 libs optional gnome-vfs_2.24.3.orig.tar.gz
 5cfa3ced32fd43954265f01072fb1330 375371 libs optional gnome-vfs_2.24.3-1ubuntu1.diff.gz
Original-Maintainer: Josselin Mouette <joss at debian.org>


More information about the Maverick-changes mailing list